Bug 1410300 - "fedpkg local" should return nonzero exitcode when build fails
Summary: "fedpkg local" should return nonzero exitcode when build fails
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedpkg
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: cqi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 03:50 UTC by Jens Petersen
Modified: 2017-09-19 21:19 UTC (History)
6 users (show)

Fixed In Version: fedpkg-1.29-1.fc26 fedpkg-1.29-3.fc27 fedpkg-1.29-3.fc25 fedpkg-1.29-3.el6 fedpkg-1.29-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-12 10:52:15 UTC


Attachments (Terms of Use)

Description Jens Petersen 2017-01-05 03:50:36 UTC
Description of problem:
I guess this is likely really a pyrpkg bug...

`fedpkg local` seems to return 0 (success) even when the build fails.

Version-Release number of selected component (if applicable):
fedpkg-1.26-4.fc26
rpkg-1.48-1.fc26

Steps to Reproduce:
0. edit pkg spec file locally so that it fails
1. run `fedpkg local`

Actual results:
1. exitcode 0

Expected results:
1. exitcode > 0

Additional info:
Regression?  I /think/ this was not happening earlier?

Comment 1 cqi 2017-01-05 06:57:25 UTC
`fedpkg local` runs this rpmbuild

    rpmbuild --define '_sourcedir /root/packages/patchutils' ... -ba /root/packages/patchutils/patchutils.spec | tee .build-0.3.4-5.fc26.log

It returns 0 even if rpmbuild fails, then it cause fedpkg returns 0.

I think it makes sense to return non-zero if rpmbuild fails.

Comment 2 Fedora Admin XMLRPC Client 2017-02-21 16:41:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Jens Petersen 2017-02-22 01:48:41 UTC
(In reply to cqi from comment #1)
> `fedpkg local` runs this rpmbuild
> 
>     rpmbuild --define '_sourcedir /root/packages/patchutils' ... -ba
> /root/packages/patchutils/patchutils.spec | tee .build-0.3.4-5.fc26.log
> 
> It returns 0 even if rpmbuild fails, then it cause fedpkg returns 0.

I think rpmbuild returns non-zero if it fails so is it due to the pipe?

Comment 4 cqi 2017-02-22 02:31:23 UTC
(In reply to Jens Petersen from comment #3)
> (In reply to cqi from comment #1)
> > `fedpkg local` runs this rpmbuild
> > 
> >     rpmbuild --define '_sourcedir /root/packages/patchutils' ... -ba
> > /root/packages/patchutils/patchutils.spec | tee .build-0.3.4-5.fc26.log
> > 
> > It returns 0 even if rpmbuild fails, then it cause fedpkg returns 0.
> 
> I think rpmbuild returns non-zero if it fails so is it due to the pipe?

I think so.

Comment 5 Fedora Admin XMLRPC Client 2017-02-28 08:31:18 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Fedora End Of Life 2017-02-28 10:52:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 7 cqi 2017-07-14 15:17:44 UTC
PR https://pagure.io/rpkg/pull-request/228 is proposed. Not sure it is a good way to fix this problem. Waiting for review.

Comment 8 cqi 2017-08-01 02:35:31 UTC
PR#228 has been merged.

Comment 9 Fedora Update System 2017-08-18 00:58:43 UTC
fedpkg-1.29-1.fc26 rpkg-1.50-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd4f4928b7

Comment 10 Fedora Update System 2017-08-18 20:18:36 UTC
fedpkg-1.29-1.el6, rpkg-1.50-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 11 Fedora Update System 2017-08-18 20:23:55 UTC
fedpkg-1.29-1.el7, rpkg-1.50-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 12 Fedora Update System 2017-08-18 21:54:38 UTC
fedpkg-1.29-1.fc25, rpkg-1.50-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 13 Fedora Update System 2017-08-19 18:55:36 UTC
fedpkg-1.29-1.fc26, rpkg-1.50-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fd4f4928b7

Comment 14 Fedora Update System 2017-08-22 20:44:20 UTC
fedpkg-1.29-1.fc26, rpkg-1.50-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-08-23 05:06:41 UTC
fedpkg-1.29-2.fc25 rpkg-1.50-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 16 Fedora Update System 2017-08-23 05:08:06 UTC
fedpkg-1.29-2.el6 rpkg-1.50-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 17 Fedora Update System 2017-08-23 05:09:00 UTC
fedpkg-1.29-2.el7 rpkg-1.50-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 18 Fedora Update System 2017-08-24 01:51:35 UTC
fedpkg-1.29-2.fc25, rpkg-1.50-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 19 Fedora Update System 2017-08-24 03:18:39 UTC
fedpkg-1.29-2.el6, rpkg-1.50-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 20 Fedora Update System 2017-08-24 03:19:34 UTC
fedpkg-1.29-2.el7, rpkg-1.50-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 21 Fedora Update System 2017-09-01 06:04:07 UTC
fedpkg-1.29-3.fc25 rpkg-1.50-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 22 Fedora Update System 2017-09-01 06:08:05 UTC
fedpkg-1.29-3.el6 rpkg-1.50-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 23 Fedora Update System 2017-09-01 06:10:11 UTC
fedpkg-1.29-3.el7 rpkg-1.50-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 24 Fedora Update System 2017-09-01 06:11:46 UTC
fedpkg-1.29-3.fc27 rpkg-1.50-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8bb22880f0

Comment 25 Fedora Update System 2017-09-03 04:47:41 UTC
fedpkg-1.29-3.el6, rpkg-1.50-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 26 Fedora Update System 2017-09-03 04:50:23 UTC
fedpkg-1.29-3.el7, rpkg-1.50-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 27 Fedora Update System 2017-09-03 06:23:57 UTC
fedpkg-1.29-3.fc25, rpkg-1.50-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f0d9aff598

Comment 28 Fedora Update System 2017-09-03 19:53:27 UTC
fedpkg-1.29-3.fc27, rpkg-1.50-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8bb22880f0

Comment 29 Fedora Update System 2017-09-04 06:53:04 UTC
fedpkg-1.29-3.el6 rpkg-1.50-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 30 Fedora Update System 2017-09-04 06:53:30 UTC
fedpkg-1.29-3.el7 rpkg-1.50-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 31 Fedora Update System 2017-09-04 16:17:13 UTC
fedpkg-1.29-3.fc27, rpkg-1.50-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2017-09-04 22:17:44 UTC
fedpkg-1.29-3.el6, rpkg-1.50-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-1c685ce277

Comment 33 Fedora Update System 2017-09-04 22:17:47 UTC
fedpkg-1.29-3.el7, rpkg-1.50-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2c5c94bf8c

Comment 34 Fedora Update System 2017-09-12 10:52:15 UTC
fedpkg-1.29-3.fc25, rpkg-1.50-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2017-09-19 21:16:31 UTC
fedpkg-1.29-3.el6, rpkg-1.50-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2017-09-19 21:19:52 UTC
fedpkg-1.29-3.el7, rpkg-1.50-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.